Skip to main content
GET
/
v1
/
aster
/
fapi
/
v2
/
positionRisk
Position Information V2
curl --request GET \
  --url https://api.hypereth.io/v1/aster/fapi/v2/positionRisk \
  --header 'Authorization: <api-key>'
[
  {
    "entryPrice": "<string>",
    "marginType": "<string>",
    "isAutoAddMargin": "<string>",
    "isolatedMargin": "<string>",
    "leverage": "<string>",
    "liquidationPrice": "<string>",
    "markPrice": "<string>",
    "maxNotionalValue": "<string>",
    "positionAmt": "<string>",
    "symbol": "<string>",
    "unRealizedProfit": "<string>",
    "positionSide": "<string>",
    "updateTime": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hypereth.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Web3 authentication using user, signer, nonce, and signature parameters

Query Parameters

symbol
string
recvWindow
integer<int64>
timestamp
integer<int64>
required
nonce
string
required

Microsecond timestamp

user
string
required

Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
signer
string
required

Signer Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
signature
string
required

Ethereum signature

Pattern: ^0x[a-fA-F0-9]{130}$

Response

200 - application/json

Position information (v2)

entryPrice
string
marginType
string
isAutoAddMargin
string
isolatedMargin
string
leverage
string
liquidationPrice
string
markPrice
string
maxNotionalValue
string
positionAmt
string
symbol
string
unRealizedProfit
string
positionSide
string
updateTime
integer<int64>